Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tfg.politmiro.totbolets
Class BoletDbAdapter

    java.lang.Object
      com.tfg.politmiro.totbolets.BoletDbAdapter

    public class BoletDbAdapter

extends Object

Author:
  Polit Miro Classe que serveix per insertar/modificar/eliminar a la base de dades les dades parsejades dels xml

Field Summary
`static String` | `KEY_ALTRES`
`static String` | `KEY_CLASSE`
`static String` | `KEY_CONFUSIO`
`static String` | `KEY_DESC`
`static String` | `KEY_ESTACIO`
`static String` | `KEY_GASTRONOMIA`
`static String` | `KEY_HABITAT`
`static String` | `KEY_ID`
`static String` | `KEY_IMGBOLET`
`static String` | `KEY_NOM`
`static String` | `KEY_NOMCIENTIFIC`
`static String` | `KEY_ROWID` Els Atributs de la base de dades, on el seu valor ha de coincidir amb els camps del xml
`static String` | `KEY_TIPUS`

Constructor Summary
`BoletDbAdapter(Context context)`

Method Summary
`void` | `close()` Metode que tanca la base de dades
`Cursor` | `getAll()` Metode que retorna totes les dades la taula bolet
`Bolet` | `getBolet(Cursor cursor)` Metode que crea un objecte bolet i l'omple de les dades que hi ha en l'objecte bolet que ha estat omplet abans amb el parse
`Cursor` | `getJoc()`
`Cursor` | `getNomBolet(String nom)` Metode que serveix per buscar tots els bolets a la BD que coincideixin amb el nom introuduit per parametres.
`Cursor` | `getNomBoletCientific(String nomcientific)` Metode que serveix per buscar tots els bolets a la BD que coincideixin amb el nom cientific introuduit per parametres.
`long` | `insert(Bolet bolet)` Metode que inserta les dades a la taula de la BD
`BoletDbAdapter` | `open()` Metode que obre la base de dades
`long` | `replace(Bolet bolet)` Metode utilitzat per substituir valors a la base de dades.
`void` | `truncate()`
`int` | `update(Bolet bolet)` Metode que serveix per actualitzar dades a la BD

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_ROWID

    public static final String KEY_ROWID

  Els Atributs de la base de dades, on el seu valor ha de coincidir amb els camps del xml

  See Also:
    Constant Field Values

### KEY_ID

    public static final String KEY_ID

See Also:
  Constant Field Values

### KEY_NOM

    public static final String KEY_NOM

See Also:
  Constant Field Values

### KEY_NOMCIENTIFIC

    public static final String KEY_NOMCIENTIFIC

See Also:
  Constant Field Values

### KEY_ALTRES

    public static final String KEY_ALTRES

See Also:
  Constant Field Values

### KEY_TIPUS

    public static final String KEY_TIPUS

See Also:
  Constant Field Values

### KEY_CLASSE

    public static final String KEY_CLASSE

See Also:
  Constant Field Values

### KEY_DESC

    public static final String KEY_DESC

See Also:
  Constant Field Values

### KEY_ESTACIO

    public static final String KEY_ESTACIO

See Also:
  Constant Field Values

### KEY_HABITAT

    public static final String KEY_HABITAT

See Also:
  Constant Field Values

### KEY_GASTRONOMIA

    public static final String KEY_GASTRONOMIA

See Also:
  Constant Field Values

### KEY_CONFUSIO

    public static final String KEY_CONFUSIO

See Also:
  Constant Field Values

### KEY_IMGBOLET

    public static final String KEY_IMGBOLET

See Also:
  Constant Field Values

Constructor Detail

### BoletDbAdapter

    public BoletDbAdapter(Context context)

Method Detail

### open

    public BoletDbAdapter open()
                        throws SQLException

  Metode que obre la base de dades

  Returns:
  Throws:
    `SQLException`

### close

    public void close()

  Metode que tanca la base de dades

### insert

    public long insert(Bolet bolet)

  Metode que inserta les dades a la taula de la BD

  Parameters:
    `bolet` -
  Returns:

### replace

    public long replace(Bolet bolet)

  Metode utilitzat per substituir valors a la base de dades.

  Parameters:
    `bolet` -
  Returns:

### update

    public int update(Bolet bolet)

  Metode que serveix per actualitzar dades a la BD

  Parameters:
    `bolet` -
  Returns:

### getAll

    public Cursor getAll()

  Metode que retorna totes les dades la taula bolet

  Returns:

### getNomBolet

    public Cursor getNomBolet(String nom)

  Metode que serveix per buscar tots els bolets a la BD que coincideixin amb el nom introuduit per parametres.

  Parameters:
    `nom` -
  Returns:
    Consulta del nom bolet introduit per paramtre

### getNomBoletCientific

    public Cursor getNomBoletCientific(String nomcientific)

  Metode que serveix per buscar tots els bolets a la BD que coincideixin amb el nom cientific introuduit per parametres.

  Parameters:
    `nom` -
  Returns:
    Consulta del nom cientific del bolet introduit per paramatre

### getJoc

    public Cursor getJoc()

### getBolet

    public Bolet getBolet(Cursor cursor)

  Metode que crea un objecte bolet i l'omple de les dades que hi ha en l'objecte bolet que ha estat omplet abans amb el parse

  Parameters:
    `cursor` -
  Returns:

### truncate

    public void truncate()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD